"Ha ocurrido un problema mientras se enviaba el skecth"

buenas, desde hace un par de semanas me viene saliendo este error, descarto que sea mi arduino pues me pasa con un arduino mega prestado tambien, presionando en "Get Board Info" obtengo la respuesta con la info de la tarjeta, los puertos y las tarjetas estan correctos en el IDE, he de aclarar que esto me comenzo a suceder una vez actualice el IDE a la versión 1.6.10 he decidi instalar una version mas antigua la 1.6.4 y todo fluye normal. Gracias

Te comento yo tengo un arduino mega 2560, y por ahi me gusta programer un attiny 85 y un atmega 328p con la version del IDE 1.6.5 esta es la mas nueva queme lo permite usando el mega como programador ISP, de ahi para abajo. las versiones ma recientes me dan problemas.

que ocurrrio en esta version? me sigue sin dejar subir el skecth.. ya no se que hacer, problemas del hardware no es. :angry:

Seguramente estés con Windows 10 haciendo algo así como un sistema operativo. No dices cual es tu SO pero eso suele ocurrir en W10.

Yo, con Linux Mint no tengo ningún problema.

Muy buenas soy nuevo en el foro, y en arduino. Entre en este foro por que tenia el mismo problema, me daba error al cargar el sketch. Usaba la version 1.6.10 con w7, pero tambjen daba error von el portatil con w10 La verdad es que no se donde lo lei, llevo 3 dias mirando todos los foros que hablan de Arduino, Y al final la solucion ha sido cargar la version 1.6.4 y ha desaparecido el problema.

Espero que tambien os sirva.

Si una versión no les va prueben para abajo y asunto solucionado. Si saben escribir en inglés, reporten el error en el FORO en INGLES escribiendo EN INGLES en la SECCION APROPIADA. Resalto con mayúsculas para que ningún despistado escriba en castellano porque su comentario volverá inmediatamente acá.

vaya que ninguna version del ide me esta funcionando, la 1.6.10 no sube el sketch, la 1.6.9 no reconoce el arduino, la 1.6.8 se queda compilando infinitamente, la 1.6.7 no me reconoce una simple suma de dos numeros. vaya que esto se esta poniendo desesperante

Tienes el mismo probloema que yo, el 10.6.4 me va perfecto.

pero tuve que pasar a la 1.6.8 porque esa version me daba problemas para concatenar un string con +=
ahora estoy teniendo una seria de problemas para subir el programa a la placa mega, el compilador no arroja error solo esto:

avrdude: verifying...
avrdude: verification error, first mismatch at byte 0x2e0c
             0xde != 0x6f

Me doy cuenta que los ejemplos que vienen en el IDE los carga correctamente, pero ningun skecht antiguo hecho por mi hace varios años, lo carga :-\

Utiliza la versión que usaste en ese momento para hacerlos.

Me doy cuenta que los ejemplos que vienen en el IDE los carga correctamente, pero ningun skecht antiguo hecho por mi hace varios años, lo carga ![:-](http://forum.arduino.cc/Smileys/arduino/undecided.gif)

Tu comentario implica la respuesta, tal como te indicó Hector_A. Las librerías cambian, los IDE también. Si algo lo hiciste para 1.0.X usa versiones de ese tipo y conserva las librerías. No pasa nada en usarlo 10 años después (exagero) con los mismos recursos. Ahora si tomas una librería que cambió, un IDE diferente, con un código viejo que usa muchas cosas que han cambiado/evolucionado no pretendas que todo siga igual. En lo personal he usado códigos y librerías viejas y que hago? voy a Previous Realeases y bajo una de la fecha que encontré. Siempre y cuando tenga todo... código y librerías sino estarás lidiando con otro problema. Mas alla de 2 años es viejo. TODO, puede servir, SI y también fallar.

Hola, tuve el mismo problema y por momentos aunque parezca raro, lo solucione ejecutando como administrador. Tengo que abrir cada proyecto guardado desde el explorador de windows, si lo abro desde arduino, me aparece lo mismo. La otra solucion que le encontre, es cargarlo con el xloader. Verificas con arduino y te genera el archivo .HEX en la carpeta temporal. Cargas ese mismo archivo en el xloader, configuras placa, puerto y listo.

No se como son posibles estos problemas, creo que se debe a problemas del Windows, falta de ultima versión Java, o algún programa que este haciendo un mal comportamiento.

Los que tengan problemas y quieran que intente resolverlo via acceso remoto me contactan por privado a ver si puedo ayudarlos primero y reportar el problema después.

Mi experiencia: diferentes versiones de ide y de Windows, diferentes errores. Instale ubuntu y se acabó todo. Compila rapidísimo, con la due sin problemas, los los ok... Y yo más feliz que una perdiz jjj

Mi experiencia con IDE poca.. con Sublime Text 3 y DEVIOT + PlatformIO extraordinaria.

Llegué aquí teniendo el mismo problema. Y sé que éste topic está inactivo pero en caso de que alguien llegue como yo, comento que se me ocurrió revisar la pestaña de Herramientas y verificar en los apartados Placa y Puerto que se encontrara el nombre del Arduino que estoy usando (en mi caso Arduino Mega ADK), eso solucionó mi problema, por cierto uso Windows 10 y la versión 1.6.11 en éste momento.

hola buenas tardes hace unos dias hice una programacion pero cuando lo copilo me dice que ("Led_PinVerde" no se puede definir como una funcion) ya fui con tres profesores y me dicen que toda la programacion esta bien y no tiene ningun error si me pueden decir que es lo que esta pasando se los agradeceria demasiado y gracias por su tiempo de darse un tiempo por leer mi detalle.

Sé que el moderador te va a regañar. Has revivido un hilo de 2017. Lee las normas, abre un hilo nuevo, postea el código y encantado te diré que estás haciendo mal y los malos que son tus profesores.

No lo regañaré ya lo hiciste tu victorjam y te agradezco, hilo cerrado.
Horacio99, sigue el consejo que te han dado.